raspberry_pi_size = [85, 56, 1.4];

module raspberry_pi_holes(size) {
  hole_radius = 2.7/2;
  hole_center = 3.5;
  union() {
    // left side
    translate([hole_center,    hole_center,         0]) cylinder(h=10, r=hole_radius, center=true);
    translate([hole_center,    size[1]-hole_center, 0]) cylinder(h=10, r=hole_radius, center=true);
    // right side
    translate([58+hole_center, hole_center,         0]) cylinder(h=10, r=hole_radius, center=true);
    translate([58+hole_center, size[1]-hole_center, 0]) cylinder(h=10, r=hole_radius, center=true);
  }
}

module raspberry_pi() {
  color("#00ff00")
  difference() {
    cube(raspberry_pi_size);
    raspberry_pi_holes(raspberry_pi_size);
  }
}

// raspberry_pi();